
function tf_str = make_tf_str(z,p,k,fitting_zero_list,fitting_pole_list,real_z_index,comp_z_index,real_p_index,comp_p_index)

tf_str = ['(' num2str(k) ')*'];
for ii = 1:length(z)
    if sum(mnismember(fitting_zero_list,ii))
        if sum(mnismember(real_z_index,ii))
            tf_str = [tf_str '(1i*w-(' num2str(z(ii)) ')*(1 + dzero' num2str(ii) '))*'];
        elseif sum(mnismember(comp_z_index,ii))
            tf_str = [tf_str '(1i*w-(' num2str(real(z(ii))) ')*(1 + dzero_real' num2str(ii)...
                ')+1i*(' num2str(imag(z(ii))) ')*(1 + dzero_imag' num2str(ii) '))*(1i*w+(' num2str(real(z(ii))) ')*(1 + dzero_real' num2str(ii)...
                ')-1i*(' num2str(imag(z(ii))) ')*(1 + dzero_imag' num2str(ii) '))*'];
        end
    else
        tf_str = [tf_str '(1i*w-(' num2str(z(ii)) '))*'];
    end
end
tf_str = [tf_str(1:end-1) '/'];
for ii = 1:length(p)
    if sum(mnismember(fitting_pole_list,ii))
        if sum(mnismember(real_p_index,ii))
            tf_str = [tf_str '(1i*w-(' num2str(p(ii)) ')*(1 + dpole' num2str(ii) '))/'];
        elseif sum(mnismember(comp_p_index,ii))
            tf_str = [tf_str '(1i*w-(' num2str(real(p(ii))) ')*(1 + dpole_real' num2str(ii)...
                ')+1i*(' num2str(imag(p(ii))) ')*(1 + dpole_imag' num2str(ii) '))/(1i*w+(' num2str(real(p(ii))) ')*(1 + dpole_real' num2str(ii)...
                ')-1i*(' num2str(imag(p(ii))) ')*(1 + dpole_imag' num2str(ii) '))/'];
        end
    else
        tf_str = [tf_str '(1i*w-(' num2str(p(ii)) '))/'];
    end
end
tf_str = tf_str(1:end-1);
end